Bug 717639 - [abrt] libpurple-2.7.9-3.el6: warnings.py:29:_show_warning:AttributeError: 'NoneType' object has no attribute 'write' [NEEDINFO]
[abrt] libpurple-2.7.9-3.el6: warnings.py:29:_show_warning:AttributeError: 'N...
Status: NEW
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: pidgin (Show other bugs)
6.1
i686 Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Matthew Barnes
Desktop QE
abrt_hash:7fd5056f
:
Depends On: 625178
Blocks: 840699
  Show dependency treegraph
 
Reported: 2011-06-29 09:01 EDT by Alexander Todorov
Modified: 2016-06-01 05:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
snagar: needinfo? (mbarnes)


Attachments (Terms of Use)
File: backtrace (737 bytes, text/plain)
2011-06-29 09:01 EDT, Alexander Todorov
no flags Details

  None (edit)
Description Alexander Todorov 2011-06-29 09:01:15 EDT
abrt version: 1.1.16
architecture: i686
component: pidgin
executable: /usr/bin/purple-url-handler
kernel: 2.6.32-131.4.1.el6.i686
package: libpurple-2.7.9-3.el6
reason: warnings.py:29:_show_warning:AttributeError: 'NoneType' object has no attribute 'write'
release: Red Hat Enterprise Linux Workstation release 6.1 (Santiago)
Attached file: sosreport.tar.xz, 1497360 bytes
time: 1309352270
uid: 500

backtrace
-----
warnings.py:29:_show_warning:AttributeError: 'NoneType' object has no attribute 'write'

Traceback (most recent call last):
  File "/usr/bin/purple-url-handler", line 395, in <module>
    main()
  File "/usr/bin/purple-url-handler", line 391, in main
    print "Error: %s" % (e.message)
  File "/usr/lib/python2.6/warnings.py", line 29, in _show_warning
    file.write(formatwarning(message, category, filename, lineno, line))
AttributeError: 'NoneType' object has no attribute 'write'

Local variables in innermost frame:
category: <type 'exceptions.DeprecationWarning'>
filename: '/usr/bin/purple-url-handler'
lineno: 391
file: None
line: None
message: DeprecationWarning('BaseException.message has been deprecated as of Python 2.6',)

How to reproduce
-----
1. I have Pidgin already running (if that matters)
2. In FF open http://autotest.kernel.org/wiki/ContactInfo
3. Click the IRC channel: irc.oftc.net #autotest link
4. A window opens asking you to select which application to use to open the irc:// URL
5. I selected purple-url-handler and clicked OK.
Comment 1 Alexander Todorov 2011-06-29 09:01:21 EDT
Created attachment 510464 [details]
File: backtrace
Comment 3 Suzanne Yeghiayan 2012-05-29 15:35:43 EDT
This request was evaluated by Red Hat Product Management for inclusion in the
current release of Red Hat Enterprise Linux. Because the affected component is
not scheduled to be updated in the current release, Red Hat is unfortunately
unable to address this request at this time.  It has been proposed for the next
release.

Note You need to log in before you can comment on or make changes to this bug.